package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.segmentation.ocrbasic.AddOcrBasicDTO;
import com.docus.server.dto.segmentation.ocrbasic.EditOcrBasicDTO;
import com.docus.server.entity.segmentation.OcrBasic;
import com.docus.server.vo.segmentation.ocrbasic.OcrBasicVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingTarget;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 患者信息表 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-08-29
 */
@Mapper
public interface OcrBasicConvert {

    OcrBasicConvert INSTANCE = Mappers.getMapper(OcrBasicConvert.class);

    @Mappings({})
    OcrBasic convertDO(AddOcrBasicDTO addOcrBasicDTO, @MappingTarget OcrBasic ocrBasic);

    @Mappings({})
    OcrBasic convertDO(AddOcrBasicDTO addOcrBasicDTO);

    @Mappings({})
    OcrBasic convertDO(EditOcrBasicDTO editOcrBasicDTO);

    @Mappings({})
    List<OcrBasic> convertAddDOList(List<AddOcrBasicDTO> addOcrBasicDTO);

    @Mappings({})
    List<OcrBasic> convertEditDOList(List<EditOcrBasicDTO> editOcrBasicDTO);

    @Mappings({})
    OcrBasicVO convertVO(OcrBasic ocrBasic);

    @Mappings({})
    List<OcrBasicVO> convertVO(List<OcrBasic> ocrBasicList);

    @Mappings({})
    PageResult<OcrBasicVO> convertVO(PageResult<OcrBasic> pageResult);
}

